Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158155 - Kernel log parsing fails
Summary: Kernel log parsing fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: logwatch
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 07:41 UTC by Adam Huffman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 11:23:29 UTC


Attachments (Terms of Use)

Description Adam Huffman 2005-05-19 07:41:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
The kernel parsing in logwatch doesn't seem to be working:

--------------------- Kernel Begin ------------------------

 egrep: module: No such file or directory

 ---------------------- Kernel End -------------------------

egrep is installed in /bin

Version-Release number of selected component (if applicable):
logwatch-6.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Logwatch runs via cron
2. Read logwatch mail
3.
  

Actual Results:  Kernel log parsing doesn't work

Expected Results:  Kernel log parsing should work

Additional info:

Comment 1 Maxim Britov 2005-05-23 08:51:55 UTC
I found trouble with:
/etc/log.d/conf/services/kernel.conf
contains: *Remove = locate module

For me I fix it by change /etc/log.d/scripts/shared/remove:
from: system("/bin/egrep -vi @ARGV");
to: system("/bin/egrep -vi \"@ARGV\"");

Comment 2 Paul Howarth 2005-05-26 12:29:25 UTC
The change suggested in Comment #1 is now in upstream CVS (see
http://www2.logwatch.org:81/tabs/anoncvs/ for how to access this).


Comment 3 Ivana Varekova 2005-06-27 11:22:18 UTC
This bug is fixed in the last version (logwatch-6.1.2-1).


Note You need to log in before you can comment on or make changes to this bug.